probe::kprocess.release
Prev | Chapter 16. Kernel Process Tapset | Next

## Name

probe::kprocess.release — Process released

## Synopsis

    kprocess.release

## Values

`pid`

  Same as `released_pid` for compatibility (deprecated)

`task`

  A task handle to the process being released

`released_pid`

  PID of the process being released

`released_tid`

  TID of the task being released

## Context

The context of the parent, if it wanted notification of this process' termination, else the context of the process itself.

## Description

Fires when a process is released from the kernel. This always follows a kprocess.exit, though it may be delayed somewhat if the process waits in a zombie state.

Prev | Up | Next
probe::kprocess.exit | Home | probe::kprocess.start